curl --request POST \
--url https://api.qovery.com/organization/{organizationId}/listDirectoriesFromGitRepository \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "https://github.com/Qovery/simple-node-app",
"provider": "BITBUCKET",
"branch": "feat/text_xxx",
"root_path": "/",
"git_token_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'{
"results": [
"infra",
"terraform",
".github"
]
}List immediate subdirectories at a specified path in a git repository. This endpoint is used when creating Terraform services to help users browse and select the appropriate root path.
curl --request POST \
--url https://api.qovery.com/organization/{organizationId}/listDirectoriesFromGitRepository \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "https://github.com/Qovery/simple-node-app",
"provider": "BITBUCKET",
"branch": "feat/text_xxx",
"root_path": "/",
"git_token_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'{
"results": [
"infra",
"terraform",
".github"
]
}Documentation Index
Fetch the complete documentation index at: https://qovery-feat-new-navigation.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '
Organization ID
application git repository URL
"https://github.com/Qovery/simple-node-app"
BITBUCKET, GITHUB, GITLAB Name of the branch to use. This is optional
If not specified, then the branch used is the main or master one
"feat/text_xxx"
indicates the root path of the application.
The git token id on Qovery side
List of directories at the specified path
["infra", "terraform", ".github"]Was this page helpful?